com.jscape.util.keystore

## Class PublicKeyMap

- java.lang.Object
- - com.jscape.util.keystore.PublicKeyMap

-     public class PublicKeyMap
      extends java.lang.Object

  Maps aliases to public keys.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublicKeyMap()`
    `PublicKeyMap(java.util.Map<java.lang.String,PublicKeyRecord> entries)`
    `PublicKeyMap(PublicKeyMap that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Removes all public key aliases.
    `boolean` | `contains(java.lang.String alias)` Checks if given alias exists.
    `PublicKeyRecord` | `get(java.lang.String alias)` Gets public key record for given alias.
    `java.lang.String[]` | `getAliases()` Gets list of public key aliases.
    `java.util.Map<java.lang.String,PublicKeyRecord>` | `getEntries()`
    `void` | `remove(java.lang.String alias)` Removes public key alias.
    `void` | `set(java.lang.String alias, PublicKeyRecord record)` Sets public key record for given alias.
    `void` | `setEntries(java.util.Map<java.lang.String,PublicKeyRecord> value)`
    `int` | `size()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PublicKeyMap

          public PublicKeyMap(java.util.Map<java.lang.String,PublicKeyRecord> entries)

    - #### PublicKeyMap

          public PublicKeyMap(PublicKeyMap that)

    - #### PublicKeyMap

          public PublicKeyMap()

  - ### Method Detail

    - #### getEntries

          public java.util.Map<java.lang.String,PublicKeyRecord> getEntries()

    - #### setEntries

          public void setEntries(java.util.Map<java.lang.String,PublicKeyRecord> value)

    - #### getAliases

          public java.lang.String[] getAliases()

      Gets list of public key aliases.
      Returns:
        public key aliases

    - #### contains

          public boolean contains(java.lang.String alias)

      Checks if given alias exists.
      Parameters:
        `alias` - a key alias
      Returns:
        `true` if key exists; `false` otherwise

    - #### get

          public PublicKeyRecord get(java.lang.String alias)

      Gets public key record for given alias.
      Parameters:
        `alias` - key record alias
      Returns:
        a key record

    - #### set

          public void set(java.lang.String alias,
                          PublicKeyRecord record)

      Sets public key record for given alias.
      Parameters:
        `alias` - record alias
        `record` - key record

    - #### remove

          public void remove(java.lang.String alias)

      Removes public key alias.
      Parameters:
        `alias` - key record alias

    - #### clear

          public void clear()

      Removes all public key aliases.

    - #### size

          public int size()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved